// DlgOptions.cpp : implementation file
//

#include "stdafx.h"
#include "WinPVR.h"
#include "DlgOptions.h"


// CDlgOptions dialog

IMPLEMENT_DYNAMIC(CDlgOptions, CDialog)
CDlgOptions::CDlgOptions(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgOptions::IDD, pParent)
  , m_sPrefixVideo(_T(""))
  , m_sPrefixAudio(_T(""))
  , m_sPrefixRawVideo(_T(""))
  , m_sPrefixRawAudio(_T(""))
{
}

CDlgOptions::~CDlgOptions()
{
}

void CDlgOptions::DoDataExchange(CDataExchange* pDX)
{
  CDialog::DoDataExchange(pDX);
  DDX_Text(pDX, IDC_EDIT_VIDEO, m_sPrefixVideo);
  DDX_Text(pDX, IDC_EDIT_AUDIO, m_sPrefixAudio);
  DDX_Text(pDX, IDC_EDIT_RAW_VIDEO, m_sPrefixRawVideo);
  DDX_Text(pDX, IDC_EDIT_RAW_AUDIO, m_sPrefixRawAudio);
}


BEGIN_MESSAGE_MAP(CDlgOptions, CDialog)
  ON_BN_CLICKED(ID_BUTTON_DEFAULT, OnBnClickedButtonDefault)
END_MESSAGE_MAP()


// CDlgOptions message handlers

void CDlgOptions::OnBnClickedButtonDefault()
{
  m_sPrefixAudio = "mp2";
  m_sPrefixRawAudio = "mpp";
  m_sPrefixRawVideo = "pva";
  m_sPrefixVideo = "m2v";
  UpdateData (FALSE);
}
