// ReaderThread.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "WinPVR.h"
#include "ReaderThread.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CReaderThread

IMPLEMENT_DYNCREATE(CReaderThread, CWinThread)

void CReaderThread::Init (CPVRFile * pvrFile, double nLength, double nOffset, BOOL bLogFile)
{
	m_pvrFile = pvrFile;
	m_nLength = nLength;
	m_nOffset = nOffset;
	m_bLogFile = bLogFile;
}




CReaderThread::CReaderThread()
{
}

CReaderThread::~CReaderThread()
{
}

BOOL CReaderThread::InitInstance()
{
	// Cancelzeiger des PVRFile Objekts erstellen
	m_pvrFile->m_pbCancel = m_pbCancel;
	// Auf geht's
  if (m_nLength == 0) m_nLength = 0.1;
	m_pvrFile->RipStreams (m_nOffset, m_nLength, (m_bLogFile == TRUE));
	// fertig
	*(m_pbReady) = true;
	return FALSE;
}

int CReaderThread::ExitInstance()
{
	return CWinThread::ExitInstance();
}

BEGIN_MESSAGE_MAP(CReaderThread, CWinThread)
	//{{AFX_MSG_MAP(CReaderThread)
		// HINWEIS - Der Klassen-Assistent fgt hier Zuordnungsmakros ein und entfernt diese.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CReaderThread 



int CReaderThread::Run() 
{
	// lauf lauf lauf
	return CWinThread::Run();
}


