#if !defined(AFX_READERTHREAD_H__212A9932_8B70_4402_9E17_CF2F5D174B52__INCLUDED_)
#define AFX_READERTHREAD_H__212A9932_8B70_4402_9E17_CF2F5D174B52__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ReaderThread.h : Header-Datei
//
#include "pvrfile.h"



/////////////////////////////////////////////////////////////////////////////
// Thread CReaderThread 

class CReaderThread : public CWinThread
{
	DECLARE_DYNCREATE(CReaderThread)
protected:

// Attribute
public:
	CReaderThread();           // Dynamische Erstellung verwendet geschtzten Konstruktor
	virtual ~CReaderThread();
// Operationen
public:
	bool * m_pbCancel;
	bool * m_pbReady;
	CPVRFile * m_pvrFile;
	void Init (CPVRFile * pvrFile, double nLength, double nOffset, BOOL m_bLogFile);           // Dynamische Erstellung verwendet geschtzten Konstruktor


// berschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(CReaderThread)
	public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	virtual int Run();
	//}}AFX_VIRTUAL

// Implementierung
protected:

	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(CReaderThread)
		// HINWEIS - Der Klassen-Assistent fgt hier Member-Funktionen ein und entfernt diese.
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
private:
	BOOL m_bLogFile;
	double m_nOffset;
	double m_nLength;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_READERTHREAD_H__212A9932_8B70_4402_9E17_CF2F5D174B52__INCLUDED_
